@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "support/_enumeration-variables.scss";

.yw-enumeration-action {
  &-popup {
    margin-left: $enumeration-action__popup--margin-left;
    margin-top: $enumeration-action__popup--margin-top;

    &:before,
    &:after {
      left: $enumeration-action__popup-pointer--left;
    }
  }

  &-container {
    .z-radiogroup {
      border-bottom: $enumeration-action__radiogroup--border;
      border-top: $enumeration-action__radiogroup--border;
      padding: $enumeration-action__radiogroup--padding;
      display: block;

      &:first-child {
        padding-top: $enumeration-action__radiogroup-first--padding-top;
        border-top: none;
      }
    }
    .z-radio {
      display: block;
      padding-top: $enumeration-action__radio--padding-top;
      padding-bottom: $enumeration-action__radio--padding-bottom;
    }
    > .z-button {
      margin: $enumeration-action__button--margin;
    }
    .z-radiogroup:first-child,
    .z-radiogroup + .z-radiogroup,
    > .z-button:first-child,
    > .z-button + .z-button {
      margin-top: 0;
    }
  }

  &-menu {
    &-container {
      ul {
        width: 100%;
      }
      .z-menu {
        &:hover {
          background-color: $enumeration-action__menu-hover--bg;
          color: $enumeration-action__menu-hover--color;
        }

        &-content {
          padding: $enumeration-action__menu-container-content--padding; 
          color: $enumeration-action__menu--color;
          min-height: auto;
          
          &:hover {
            background-color: $enumeration-action__menu-hover--bg;
            color: $enumeration-action__menu-hover--color;
          }
        }
        &-text {
          font-size: $enumeration-action__menu--font-size;
        }
        &-icon {
          opacity: $enumeration-action__menu-icon--opacity;
          right: $enumeration-action__menu-icon--right;
          top:50%;
          transform: translateY(-50%);
          background-color: inherit;
          color: inherit;
        }
      }
    }

    &-popup {
      background-color: $enumeration-action__menu--bg;
      border: $enumeration-action__menu-popup--border;
      box-shadow: $enumeration-action__menu-popup-shadow--box-shadow;

      .z-menuitem {
        background-color: $enumeration-action__menu--bg;
        
        &:hover, 
        &-content:hover {
          background-color: $enumeration-action__menu-hover--bg;
        }        
      }
      .z-menuitem,
      .z-menupopup-content .z-menu a.z-menu-content, 
      .z-menupopup-content .z-menuitem a.z-menuitem-content {
        color: $enumeration-action__menu--color;

        &:hover { 
          &,
          .z-menu-icon {
            color: $enumeration-action__menu-hover--color;
          }
        }
      }
      &-menuitem {
        background-color: $enumeration-action__menu--bg;
        border-top: $enumeration-action__menu-popup--border;
        
        &:first-child {
          border-top-width: 0;
        }
      }
    }
  }
}


